Package com.pixelmed.display

# Class MammoImageViewer

java.lang.Object
com.pixelmed.display.MammoImageViewer

public class MammoImageViewer extends Object

This class is an entire application for displaying and viewing mammography images and CAD objects.

It detects the screen size and scales the images to fit the available screen real estate, using up to four columns of images and multiple rows as necessary.

Images are scaled to the same physical size based on the detected breast area.

Images are flipped into the correct orientation for the view.

It is invoked using a main method with a list of DICOM image and CAD file names.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`doNotFlipOrRotate`
`protected boolean`
`doNotJustify`
`protected boolean`
`forceFitEntireMatrixToWindow`
`protected JFrame`
`frame`
`protected int`
`frameHeight`
`protected int`
`frameWidth`
`protected JPanel`
`multiPanel`

## Constructor Summary

Constructors
Constructor
Description
`MammoImageViewer(String[] filenames)`
`MammoImageViewer(JFrame frame)`
`MammoImageViewer(JFrame frame, String[] filenames)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`protected void`
`doCommonConstructorStuff()`
`void`
`loadMultiPanelFromSpecifiedFiles(String[] filenames)`
`static void`
`main(String[] arg)`
The method to invoke the application.
`protected SingleImagePanel`
`makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)`
`void`
`setDoNotFlipOrRotate(boolean doNotFlipOrRotate)`
Suppress the normal flipping or rotation of images into the preferred orientation based on view and laterality.
`void`
`setDoNotJustify(boolean doNotJustify)`
Suppress the justification to the chest wall and axilla.
`void`
`setForceFitEntireMatrixToWindow(boolean forceFitEntireMatrixToWindow)`
Suppress the examination of breast extent and same sizing of images with different pixel spacing.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frame

protected JFrame frame

### multiPanel

protected JPanel multiPanel

### frameWidth

protected int frameWidth

### frameHeight

protected int frameHeight

### doNotFlipOrRotate

protected boolean doNotFlipOrRotate

### forceFitEntireMatrixToWindow

protected boolean forceFitEntireMatrixToWindow

### doNotJustify

protected boolean doNotJustify

## Constructor Details

### MammoImageViewer

public MammoImageViewer(JFrame frame) throws Exception

Parameters:
  `frame` -
Throws:
  `Exception` - if internal error

### MammoImageViewer

public MammoImageViewer(JFrame frame, String[] filenames) throws Exception

Parameters:
  `frame` -
  `filenames` -
Throws:
  `Exception` - if internal error

### MammoImageViewer

public MammoImageViewer(String[] filenames) throws Exception

Parameters:
  `filenames` -
Throws:
  `Exception` - if internal error

## Method Details

### setDoNotFlipOrRotate

public void setDoNotFlipOrRotate(boolean doNotFlipOrRotate)

Suppress the normal flipping or rotation of images into the preferred orientation based on view and laterality.

Parameters:
  `doNotFlipOrRotate` - if true, supresses

### setForceFitEntireMatrixToWindow

public void setForceFitEntireMatrixToWindow(boolean forceFitEntireMatrixToWindow)

Suppress the examination of breast extent and same sizing of images with different pixel spacing.

Parameters:
  `forceFitEntireMatrixToWindow` - if true, supresses

### setDoNotJustify

public void setDoNotJustify(boolean doNotJustify)

Suppress the justification to the chest wall and axilla.

Parameters:
  `doNotJustify` - if true, supresses

### makeNewImagePanel

protected SingleImagePanel makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)

### loadMultiPanelFromSpecifiedFiles

public void loadMultiPanelFromSpecifiedFiles(String[] filenames) throws Exception

Parameters:
  `filenames` -
Throws:
  `Exception` - if internal error

### doCommonConstructorStuff

protected void doCommonConstructorStuff() throws Exception

Throws:
  `Exception` - if internal error

### clear

public void clear()

### main

public static void main(String[] arg)

The method to invoke the application.

Parameters:
  `arg` - a list of DICOM files which may contain mammography images or mammography CAD SR objects